<?php

//Verbindung zur Datenbank herstellen
$host_name = 'localhost';
$user_name = 'kd54698_bza';
$password = 'l?IOM7Me^7??';
$database = 'kd54698_badzwischenahn';

$connect = mysqli_connect($host_name, $user_name, $password, $database);
mysqli_query($connect, "SET NAMES 'utf8'");

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

include_once __DIR__ . '/PHPMailer/PHProcksAutoloader.php';

$oMailer = new PHPMailer;
$oMailer->CharSet = 'UTF-8';

$erstellt = date("d.m.Y - H:i:s");
$text1 = "<html><body><img width='200' height='50' src='http://badzwischenahn.f-invent.de/img/F-invent-1.png'><br><br><br>";
$text1.= "Bericht - Gerätestatus";
$text1.= "<br>";
$text1.= "<br>";
$text1.= "<table border='0' cellpadding='1'>
      <tr>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Barcode</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Typ</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Identifikation</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Baujahr</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Letzte Prüfung</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Nächste Prüfung</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Geräteraum</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Anzahl</td>
      <td bgcolor='#CCCCCC'><span class='Stil5'>Status</td>
      </tr>";

      // Anzeige aller Datensätze der Tabelle
      $abfrage = "SELECT * FROM ffw_geraete WHERE status = 'Bedingt Einsatzbereit' OR status = 'Nicht Einsatzbereit'";
      $result = mysqli_query($connect, $abfrage);

      while($dsatz = mysqli_fetch_assoc($result)){
        $id = $dsatz["id"];
        $datum01 = $dsatz["lpruefung"];

        $i = 0;

          if ($i)
          {
            $farbe = "#EFEFEF";
          }
          else
          {
            $farbe = "white";
          }
          $i ^= 1;


        $text1.= "<tr><td bgcolor='$farbe'><span class='Stil6'><img src='http://badzwischenahn.f-invent.de/barcode.php?barcode=". $dsatz["barcode"] ."&quality=75&width=200&height=18&text=0'><center>". $dsatz["barcode"] ."</center></td>" .
        "<td bgcolor='$farbe'><span class='Stil6'>" . $dsatz["bezeichnung"] . "</td>" .
        "<td bgcolor='$farbe'><span class='Stil6'>" . $dsatz["bezeichnungtz"] . "</td>" .
        "<td bgcolor='$farbe'><center><span class='Stil6'>" . $dsatz["baujahr"] . "</td>" .
        "<td bgcolor='$farbe'><center><span class='Stil6'>" . $dsatz["lpruefung"] . "</td>";

        //datum DEZI umrechnen in TIMESTAMP
        $datumtime = strtotime("$datum01");
        //datum TIMESTAMP ein jahr plus rechnen
        $ts = strtotime("$datum01, +1 year");
        //datum ein jahr plus in TIMESTAMP, umrechnen in DEZI
        $datumindezi = date('d.m.Y', $ts);

        //datum TIMESTAMP jetzt
        $datumjetzt = time();

        //tage rechnen bis datum
        $datumfest=("$ts");
        $ausgabe=$datumfest-$datumjetzt;
        $intagen=$ausgabe/60/60/24;
        $round=ceil($intagen);

        if($round < 9) { $color='#FF0033'; }
        else if ( $round > 8 and $round < 30) {$color='#FFE500'; }
        else { $color='#00FF00'; }

        //daumen in variable speichern
        $daumen = $dsatz["status"];

        //daumen bestimmen...
        if ($daumen == "Einsatzbereit") { $img_daumen="oben"; }
        else if ($daumen == "Bedingt Einsatzbereit") { $img_daumen="mitte"; }
        else if ($daumen == "Nicht Einsatzbereit") { $img_daumen="unten"; }
        else { $img_daumen="cross"; }

        //daumen_farbe bestimmen...
        if ($daumen == "Einsatzbereit") { $farbe_daumen="#00FF00"; }
        else if ($daumen == "Bedingt Einsatzbereit") { $farbe_daumen="FFE500"; }
        else if ($daumen == "Nicht Einsatzbereit") { $farbe_daumen="FF0033"; }
        else { $farbe_daumen=""; }

        //achtung icon für ungleiche Anzahl
        $anzahl_1 = $dsatz["anzahl"];
        $anzahl_2 = $dsatz["anzahlist"];

        if ($anzahl_1 == $anzahl_2 ) {

          $tdachtung = "";

        }
        else {

          $tdachtung = "<td><center><span class='Stil6'><img width='30' height='30' src='http://badzwischenahn.f-invent.de/img/warning.png' border='0'></td>";
        }

$text1.= "<td bgcolor='$color'><center><span class='Stil6'><b>$datumindezi <br>In $round Tagen<b></td>" .
  "<td width='40' bgcolor='$farbe'><center><span class='Stil6'>" . $dsatz["gr"] . "</td>" .
  "<td bgcolor='$farbe'><center><span class='Stil6'>" . $dsatz["anzahl"] . "</td>" .
  "<td bgcolor='$farbe_daumen'><center><span class='Stil6'><img src='http://badzwischenahn.f-invent.de/img/daumen-$img_daumen.gif' border='0'></td>" .
  "$tdachtung" .
   "</tr>";

   $subject1 = "Bericht - Geräte Status";

}
$text1.= "</table>";
$text1.= "<br>";
$text1.= "<br>";
$text1.= "<br>";
$text1.= "Mit freundlichen Grüßen";
$text1.= "<br>";
$text1.= "<br>";
$text1.= "Nils Bonk";
$text1.= "<br>";
$text1.= "<br>";
$text1.= "- Softwareentwicklung -";
$text1.= "<br>";
$text1.= "<br>";
$text1.= "F-invent.de GbR";
$text1.= "<br>";
$text1.= "Fichtenstraße 52";
$text1.= "<br>";
$text1.= "26160 Bad Zwischenahn";
$text1.= "</body></html>";


$oMailer->isSMTP();
$oMailer->Host = 'mail.f-invent.de';
$oMailer->SMTPAuth = true;
$oMailer->Username = 'noreply@f-invent.de';
$oMailer->Password = 'b*Y!@Ys.aKS^';
$oMailer->SMTPSecure = 'tls';
$oMailer->Port = 587;

$oMailer->From = 'noreply@f-invent.de';
$oMailer->FromName = 'F-Invent.de';
//$oMailer->addAddress( 'bonk@f-invent.de', '' );
//$oMailer->addAddress( 'yaaru@icloud.com', 'Henrik Bohlje' );
$oMailer->addAddress( 'nils.bonk@googlemail.com', '' );
//$oMailer->addAddress( 'janhendrikfriedrich@t-online.de', '' );
//$oMailer->addAddress( 'nils.bonk@me.com', '' );

$oMailer->isHTML( true );
$oMailer->Subject = $subject1;
$oMailer->Body = $text1;
$oMailer->AltBody = strip_tags( $oMailer->Body );


if ( !$oMailer->send() ) {

    echo 'Something\'s went wrong!';
    exit;

}

//echo 'Yes! First Mail with PHPMailer sent successfully!';

 ?>
